package com.smppw.analysis.domain.dto.info;

import com.smppw.common.pojo.ValueLabelVO;
import com.smppw.common.pojo.dto.NewDateValue;
import lombok.Data;

import java.util.List;

/**
 * @author mozuwen
 * @date 2023/8/18 11:00
 * @description 公募基金基本信息
 */
@Data
public class PubliclyFundBaseInfoVO {

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 基金中文全称
     */
    private String fundName;

    /**
     * 基金中文简称
     */
    private String fundShortName;

    /**
     * 基金代码
     */
    private String registerNumber;

    /**
     * 策略
     */
    private String strategy;

    /**
     * 二级策略
     */
    private String substrategy;

    /**
     * 业绩基准
     */
    private String benchmarkName;

    /**
     * 交易场所，申购赎回场所，为空则为场外
     */
    private String applyingMarket;

    /**
     * 基金货币
     */
    private String baseCurrency;

    /**
     * 投资经理,value-投资经理id,label-投资经理名称
     */
    private List<ValueLabelVO> managers;

    /**
     * 基金管理人id
     */
    private String trustId;

    /**
     * 基金管理人名称
     */
    private String trustName;

    /**
     * 运行状态id
     */
    private String fundStatusId;

    /**
     * 运行状态名称
     */
    private String fundStatus;

    /**
     * 申赎状态，申购状态：1-开放申购 2-暂停申购 3-限大额 4-认购期 5-封闭期 6-场内交易 赎回状态：1-开放申购 2-暂停申购 3-认购期 4-封闭期 5-场内交易
     */
    private String applyRedemType;

    /**
     * 开放日
     * eg:
     * 申购起止：yyyy-mm-dd~yyyy-mm-dd
     * 赎回起止：yyyy-mm-dd~yyyy-mm-dd
     */
    private List<FundOpenDayVO> openDays;

    /**
     * 最低申购金额，文字+数值+日期展示
     */
    private String lowestApplyAmount;

    /**
     * 最低赎回份额，文字+数值+日期展示
     */
    private String lowestSumRedemption;

    /**
     * 初始资产规模
     */
    private NewDateValue initScale;

    /**
     * 最新资产规模
     */
    private NewDateValue latestScale;

    /**
     * 初始份额
     */
    private NewDateValue initShare;

    /**
     * 基金托管人id
     */
    private String custodianId;

    /**
     * 基金托管人名称
     */
    private String custodianName;

}
